﻿;-------------------------------------------------------------------------------------
;; gdm_a1_dim_toleranz.lsp
;; os / 05.11.2010
;; Maß - mit +/- bzw. oben/unten Toleranz versehen und löschen
;; gdm_a2_dim_toleranz.lsp
;; Leerzeichen in den Proposals bei oben/unten (highway45 - 9.Jun2011)
;; Wertetabelle für Text-Toleranz ergänzt mit freundlicher Unterstützung von clausb (michib - 23.06.2011)
;;-------------------------------------------------------------------------------------

(in-package  :GDM)
(use-package :OLI)

(sd-defdialog 'gdm-dim-toleranz-dialog
  :dialog-title (sd-multi-lang-string "Tolerance" :german "Toleranz")
  :toolbox-button nil
  :variables
   '(

;;Toleranz LÖSCHEN

   (TOL_NEIN
          :value-type :boolean
          :toggle-type :wide-toggle
          :title (sd-multi-lang-string "Delete Tolerance" :german "Toleranz löschen")
		  :after-input (if TOL_NEIN
		                   (progn (sd-set-variable-status 'TOL_PM :visible nil)
						          (sd-set-variable-status 'TOL_U :visible nil)
								  (sd-set-variable-status 'TOL_L :visible nil)
								  (sd-set-variable-status 'TOL_U1 :visible nil)
								  (sd-set-variable-status 'TOL_L1 :visible nil)
						          (setf DIM_TOLERANZ nil));;progn
						   (progn (sd-set-variable-status 'TOL_PM :visible t)
						          (sd-set-variable-status 'TOL_U :visible nil)
								  (sd-set-variable-status 'TOL_L :visible nil)
								  (sd-set-variable-status 'TOL_U1 :visible nil)
								  (sd-set-variable-status 'TOL_L1 :visible nil)
						          (setf DIM_TOLERANZ nil));;progn
					   );;if
          :initial-value nil)

;;Toleranz Plus-Minus

	(TOL_TYPE_PM
          :value-type :boolean
          :toggle-type :wide-toggle
          :title (sd-multi-lang-string "Plus-Minus" :german "Plus-Minus")
		  :after-input (progn (sd-set-variable-status 'TOL_PM :visible t)
						      (sd-set-variable-status 'TOL_U :visible nil)
							  (sd-set-variable-status 'TOL_L :visible nil)
							  (sd-set-variable-status 'TOL_U1 :visible nil)
							  (sd-set-variable-status 'TOL_L1 :visible nil)
							  (setf DIM_TOLERANZ nil))
	:initial-value t)

;;Toleranz Oben-Unten mit Zahlen

	(TOL_TYPE_UL
          :value-type :boolean
          :toggle-type :wide-toggle
          :title (sd-multi-lang-string "Upper-Lower" :german "Oben-Unten")
		  :after-input (progn (sd-set-variable-status 'TOL_PM :visible nil)
						      (sd-set-variable-status 'TOL_U :visible t)
						      (sd-set-variable-status 'TOL_L :visible t)
							  (sd-set-variable-status 'TOL_U1 :visible nil)
							  (sd-set-variable-status 'TOL_L1 :visible nil)
						      (setf DIM_TOLERANZ nil))
	:initial-value nil)

;;Toleranz Oben-Unten mit Text

	 (TOL_TYPE_UL1
          :value-type :boolean
          :toggle-type :wide-toggle
          :title (sd-multi-lang-string "Upper-Lower" :german "Oben-Unten Text")
		  :after-input (progn (sd-set-variable-status 'TOL_PM :visible nil)
						      (sd-set-variable-status 'TOL_U :visible nil)
						      (sd-set-variable-status 'TOL_L :visible nil)
							  (sd-set-variable-status 'TOL_U1 :visible t)
							  (sd-set-variable-status 'TOL_L1 :visible t)
						      (setf DIM_TOLERANZ nil))
          :initial-value nil)

;;Wertetabelle Plus-Minus

	(TOL_PM
       :title (sd-multi-lang-string "Tolerance" :german "Toleranz")
	   :value-type :length
       :proposals (0.01 0.02 0.03 0.04 0.05 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1 1.5 2)
	   :initial-value 0.1
	   :after-input (setf DIM_TOLERANZ nil)
	   :initial-visible t)

;;Wertetabelle Oben-Unten mit Zahlen

	(TOL_U
       :title (sd-multi-lang-string "Upper" :german "Oben")
	   :value-type :string
	   :proposals ("+0.5" "+0.3" "+0.2" "+0.1" "+0.05" "+0.04" "+0.03" "+0.02" "+0.01" " " " 0" "-0.01" "-0.02" "-0.03" "-0.04" "-0.05" "-0.1" "-0.2" "-0.3" "-0.5")
	   :initial-value "+0.1"
	   :after-input (setf DIM_TOLERANZ nil)
	   :initial-visible nil)

	(TOL_L
       :title (sd-multi-lang-string "Lower" :german "Unten")
	   :value-type :string
	   :proposals ("+0.5" "+0.3" "+0.2" "+0.1" "+0.05" "+0.04" "+0.03" "+0.02" "+0.01" " " " 0" "-0.01" "-0.02" "-0.03" "-0.04" "-0.05" "-0.1" "-0.2" "-0.3" "-0.5")
	   :initial-value " "
	   :after-input (setf DIM_TOLERANZ nil)
	   :initial-visible nil)

;;Wertetabelle Oben-Unten mit Text

	(TOL_U1
       :title (sd-multi-lang-string "Upper" :german "Oben")
	   :value-type :string
	   :proposals ("H7" "H8" "H9" "H11" "D9" "D11" "JS5" "JS9" "P9" " ")
	   :initial-value "+H7"
	   :after-input (setf DIM_TOLERANZ nil)
	   :initial-visible nil)

	(TOL_L1
       :title (sd-multi-lang-string "Lower" :german "Unten")
	   :value-type :string
	   :proposals ("d9" "e9" "f7" "g6" "h6" "h9" "h11" "h13" "j6" "m6" "r6" " ")
	   :initial-value " "
	   :after-input (setf DIM_TOLERANZ nil)
	   :initial-visible nil)

;;Bemaßung wählen und ändern

	   (DIM_TOLERANZ
        :selection (*sd-anno-dimension-seltype*)
	    :title (sd-multi-lang-string "Dimension" :german "Bemaßung")
        :prompt-text (sd-multi-lang-string "Pick Dimension." :german "Bemaßung auswählen.")
        :after-input (if TOL_NEIN
						(sd-call-cmds (AM_DIM_PROPS :page :tolerance DIM_TOLERANZ :dim_list :TOL_TYPE :NONE))
					    (if TOL_TYPE_PM
						    (sd-call-cmds (am_dim_props :dim_list DIM_TOLERANZ :TOL_TYPE :PLUS_MINUS :tol_upper TOL_PM));;IF TOL_TYPE_PM
							(if TOL_TYPE_UL
								(sd-call-cmds (am_dim_props :dim_list DIM_TOLERANZ :TOL_TYPE :UPPER_LOWER :tol_upper TOL_U :tol_lower TOL_L));;if TOL_TYPE_UL
								(sd-call-cmds (am_dim_props :dim_list DIM_TOLERANZ :TOL_TYPE :UPPER_LOWER :tol_upper TOL_U1 :tol_lower TOL_L1));;if TOL_TYPE_UL1
							)
					    )
					 );;after-input
		:next-variable 'DIM_TOLERANZ);;DIM_TOLERANZ
    );;variables
  :mutual-exclusion '(TOL_NEIN TOL_TYPE_PM TOL_TYPE_UL TOL_TYPE_UL1)
  :ok-action '(cancel)
);; sd-defdialog